# Constant Field Values

## Contents

- com.germinus.*

## com.germinus.*

com.germinus.easyconf.Conventions
Modifier and Type
Constant Field
Value
`public static final String`
`COMPANY_ID_PROPERTY`
`"easyconf:companyId"`
`public static final String`
`COMPONENT_NAME_PROPERTY`
`"easyconf:componentName"`
`public static final String`
`CONFIGURATION_OBJECTS_SOURCE_PROPERTY`
`"easyconf:configuration-objects-source"`
`public static final String`
`CONFIGURATION_OBJECTS_TABLE`
`"easyconf_configuration_objects"`
`public static final String`
`DATASOURCE_PREFIX`
`"datasource:"`
`public static final String`
`DEFAULT_CONF_OBJECT_NAME`
`"DEFAULT_CONF_OBJECT"`
`public static final String`
`DIGESTERRULES_EXTENSION`
`".digesterRules.xml"`
`public static final char`
`DOT`
`'.'`
`public static final String`
`GLOBAL_CONFIGURATION_FILE`
`"global-configuration"`
`public static final String`
`INCLUDE_PROPERTY`
`"include-and-override"`
`public static final String`
`JNDI_PREFIX`
`"jndi:"`
`public static final String`
`PREFIX_SEPARATOR`
`":"`
`public static final String`
`PROPERTIES_EXTENSION`
`".properties"`
`public static final String`
`PROPERTIES_TABLE`
`"easyconf_properties"`
`public static final String`
`RELOAD_DELAY_PROPERTY`
`"easyconf:reload-delay"`
`public static final char`
`SELECTOR_END`
`']'`
`public static final char`
`SELECTOR_START`
`'['`
`public static final char`
`SLASH`
`'-'`
`public static final String`
`XML_EXTENSION`
`".xml"`
com.germinus.easyconf.DatasourceURL
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIGURATION_OBJECTS_TABLE`
`"easyconf_configuration_objects"`
`private static final String`
`DATASOURCE_PREFIX`
`"datasource:"`
`public static final String`
`PROPERTIES_TABLE`
`"easyconf_properties"`
com.germinus.easyconf.JndiURL
Modifier and Type
Constant Field
Value
`private static final String`
`JNDI_PREFIX`
`"jndi:"`

com.germinus.easyconf.jmx.ComponentConfigurationDynamicMBean
Modifier and Type
Constant Field
Value
`private static final String`
`CONSTRUCTOR_DESCRIPTION_1`
`"Constructs new MBean with the configuration of the named Component"`
`private static final String`
`NEW_PROPERTY_OPERATION_DESCRIPTION_1`
`"Add new property to the Configuration Component. The Param is the property name. Must not exists another property with the same name."`
`private static final String`
`NEW_PROPERTY_OPERATION_DESCRIPTION_2`
`"Add new property to the Configuration Component. The Param is the property name. Must not exists another property with the same name. The second param is the initial value of the new property"`
`public static final String`
`NEW_PROPERTY_OPERATION_NAME`
`"newProperty"`
`private static final String`
`RELOAD_OPERATION_DESCRIPTION`
`"Reloads the configuration"`
`public static final String`
`RELOAD_OPERATION_NAME`
`"reloadConfiguration"`

com.germinus.easyconf.struts.RefreshConfigurationAction
Modifier and Type
Constant Field
Value
`private static final String`
`SUCCESS`
`"SUCCESS"`

com.germinus.easyconf.taglib.PropertyTag
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_TYPE`
`"java.lang.String"`
`private static final long`
`serialVersionUID`
`3546082471134573881L`